io.vertx.groovy.servicediscovery

## Class ServiceDiscovery_GroovyStaticExtension

- java.lang.Object
- - io.vertx.groovy.servicediscovery.ServiceDiscovery_GroovyStaticExtension

-     public class ServiceDiscovery_GroovyStaticExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceDiscovery_GroovyStaticExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServiceDiscovery` | `create(ServiceDiscovery j_receiver, Vertx vertx, Map<String,Object> options)`
    `static ServiceDiscovery` | `create(ServiceDiscovery j_receiver, Vertx vertx, Map<String,Object> options, Handler<ServiceDiscovery> completionHandler)`
    `static void` | `releaseServiceObject(ServiceDiscovery j_receiver, ServiceDiscovery discovery, Object svcObject)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceDiscovery_GroovyStaticExtension

          public ServiceDiscovery_GroovyStaticExtension()

  - ### Method Detail

    - #### create

          public static ServiceDiscovery create(ServiceDiscovery j_receiver,
                                                Vertx vertx,
                                                Map<String,Object> options)

    - #### create

          public static ServiceDiscovery create(ServiceDiscovery j_receiver,
                                                Vertx vertx,
                                                Map<String,Object> options,
                                                Handler<ServiceDiscovery> completionHandler)

    - #### releaseServiceObject

          public static void releaseServiceObject(ServiceDiscovery j_receiver,
                                                  ServiceDiscovery discovery,
                                                  Object svcObject)

Copyright © 2017. All rights reserved.